/* TECO for DOS  Copyright (C) 1986-1991 Matt Fichtenbaum					*/
/* Based on Ultrix TECO (C) 1986-1990 GenRad Inc., Concord, MA 01742		*/
/* These programs may be copied if this copyright notice is included and	*/
/* only on a "not for sale or profit" basis									*/

/* keyscans.h  function key scan codes header file  11/13/90 */

#define KEY_STAR_A	0067	/* alt/num * */
#define KEY_F1      0073    /* f1 */
#define KEY_F2      0074    /* f2 */
#define KEY_F3      0075    /* f3 */
#define KEY_F4      0076    /* f4 */
#define KEY_F5      0077    /* f5 */
#define KEY_F6      0100    /* f6 */
#define KEY_F7      0101    /* f7 */
#define KEY_F8      0102    /* f8 */
#define KEY_F9      0103    /* f9 */
#define KEY_F10     0104    /* f10 */
#define KEY_HOME	0107	/* home */
#define KEY_UP      0110    /* uparr */
#define KEY_PGUP    0111    /* pg_up */
#define KEY_DASH_A	0112	/* alt/num - */
#define KEY_LEFT    0113    /* lt_arr */
#define KEY_RIGHT   0115    /* rt_arr */
#define KEY_PLUS_A	0116	/* alt/num + */
#define KEY_END     0117    /* end */
#define KEY_DOWN    0120    /* dn_arr */
#define KEY_PGDN	0121	/* pg_dn */
#define KEY_INS     0122    /* ins */
#define KEY_DEL     0123    /* del */
#define KEY_F1_S	0124	/* sh/f1 */
#define KEY_F2_S	0125	/* sh/f2 */
#define KEY_F3_S	0126	/* sh/f3 */
#define KEY_F4_S	0127	/* sh/f4 */
#define KEY_F5_S	0130	/* sh/f5 */
#define KEY_F6_S	0131	/* sh/f6 */
#define KEY_F7_S	0132	/* sh/f7 */
#define KEY_F8_S	0133	/* sh/f8 */
#define KEY_F9_S	0134	/* sh/f9 */
#define KEY_F10_S	0135	/* sh/f10 */
#define KEY_F1_C	0136	/* ctl/f1 */
#define KEY_F2_C	0137	/* ctl/f2 */
#define KEY_F3_C	0140	/* ctl/f3 */
#define KEY_F4_C	0141	/* ctl/f4 */
#define KEY_F5_C	0142	/* ctl/f5 */
#define KEY_F6_C	0143	/* ctl/f6 */
#define KEY_F7_C	0144	/* ctl/f7 */
#define KEY_F8_C	0145	/* ctl/f8 */
#define KEY_F9_C	0146	/* ctl/f9 */
#define KEY_F10_C	0147	/* ctl/f10 */
#define KEY_F1_A	0150	/* alt/f1 */
#define KEY_F2_A	0151	/* alt/f2 */
#define KEY_F3_A	0152	/* alt/f3 */
#define KEY_F4_A	0153	/* alt/f4 */
#define KEY_F5_A	0154	/* alt/f5 */
#define KEY_F6_A	0155	/* alt/f6 */
#define KEY_F7_A	0156	/* alt/f7 */
#define KEY_F8_A	0157	/* alt/f8 */
#define KEY_F9_A	0160	/* alt/f9 */
#define KEY_F10_A	0161	/* alt/f10 */
#define KEY_LEFT_C  0163    /* ctl/lt_arr */
#define KEY_RIGHT_C 0164    /* ctl/rt_arr */
#define KEY_END_C	0165	/* ctl/end */
#define KEY_PGDN_C	0166	/* ctl/pg_dn */
#define KEY_HOME_C	0167	/* ctl/home */
#define KEY_PGUP_C	0204	/* ctl/pg_up */
#define KEY_F11     0205    /* f11 */
#define KEY_F12     0206    /* f12 */
#define KEY_F11_S	0207	/* sh/f11 */
#define KEY_F12_S	0210	/* sh/f12 */
#define KEY_F11_C	0211	/* ctl/f11 */
#define KEY_F12_C	0212	/* ctl/f12 */
#define KEY_F11_A	0213	/* alt/f11 */
#define KEY_F12_A	0214	/* alt/f12 */
#define KEY_UP_C	0215	/* ctl/up_arr */
#define KEY_TAB_S	0017	/* sh/tab */
#define KEY_DOWN_C  0221    /* ctl/dn_arr */
#define KEY_INS_C	0222	/* ctl/ins */
#define KEY_DEL_C	0223	/* ctl/del */
#define KEY_HOME_A	0227	/* alt/home */
#define KEY_UP_A	0230	/* alt/up_arr */
#define KEY_PGUP_A	0231	/* alt/pg_up */
#define KEY_LEFT_A  0233    /* alt/lt_arr */
#define KEY_RIGHT_A 0235    /* alt/rt_arr */
#define KEY_END_A	0237	/* alt/end */
#define KEY_DOWN_A  0240    /* alt/dn_arr */
#define KEY_PGDN_A	0241	/* alt/pg_dn */
#define KEY_INS_A	0242	/* alt/ins */
#define KEY_DEL_A	0243	/* alt/del */
#define KEY_SLASH_A	0244	/* alt/num / */
#define KEY_ENTER_A	0246	/* alt/num enter */
#define KEY_TAB_C	0224	/* ctl/tab */
#define KEY_TAB_A	0245	/* alt/tab */
