/* TECO for DOS  Copyright (C) 1986-1991 Matt Fichtenbaum					*/
/* Based on Ultrix TECO (C) 1986-1990 GenRad Inc., Concord, MA 01742		*/
/* These programs may be copied if this copyright notice is included and	*/
/* only on a "not for sale or profit" basis									*/

/* graph.h: vga-only screen routines to substitute for Microsoft library	*/
/* 02/01/91  20.21 */

struct rccoord
{
	short row;
	short col;
};

/* parameters for _wrapon */
#define _GWRAPOFF	0
#define _GWRAPON	1

/* parameters for _clearscreen */
#define _GCLEARSCREEN	0
#define _GVIEWPORT	1
#define _GWINDOW	2

/* Routines:
 *  _clearscreen - clear whole screen, or window
 *  _gettextposition - return current cursor loc
 *  _getvideoconfig - returns screen size and mode
 *  _outtext - write text at current loc
 *  _setbkcolor - set background color
 *  _settextcolor - set text color
 *  _settextposition - position cursor
 *  _settextwindow - defines active screen area (y only)
 *  _wrapon - set wraparound (dummy routine)
 */

unsigned char getvideoconfig(unsigned short *mode, short *rows, short *cols);
void _settextwindow(short r1, short c1, short r2, short c2);
long _setbkcolor(long color);
short _settextcolor(short color);
struct rccoord _settextposition(short row, short column);
struct rccoord _gettextposition(void);
short _wrapon(short);
void _clearscreen(short area);
void _outtext(unsigned const char *buffer);
